####### This section is automatically generated from
#######    /home/hanord/qt/examples/Makefile

INCDIR	=	$(QTDIR)/include
CFLAGS	=	-O2
LFLAGS	=	-L$(QTDIR)/lib -lqt
CC	=	gcc
MOC	=	moc

####### End of automatically generated section
#
# $Source: /local/lib/cvs/qt/examples/biff/Makefile,v $
#

#######	Files

HEADERS	=	biff.h
SOURCES	=	biff.cpp	main.cpp
OBJECTS	=	biff.o  	main.o
SRCMETA =	mbiff.cpp
OBJMETA =	mbiff.o
TARGET	=	biff

####### Implicit rules

.SUFFIXES: .cpp

.cpp.o:
	$(CC) -c $(CFLAGS) -I$(INCDIR) $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMETA)
	$(CC) $(OBJECTS) $(OBJMETA) -o $(TARGET) $(LFLAGS)

showfiles:
	@echo $(HEADERS) $(SOURCES) Makefile

depend: $(SOURCES)
	@makedepend -I$(INCDIR) $(SOURCES) 2> /dev/null

clean:
	-rm -f *.o *.bak *~ *% #*
	-rm -f $(TARGET) $(SRCMETA)

#######	Meta objects

mbiff.cpp: biff.h
	$(MOC) -o mbiff.cpp biff.h


# DO NOT DELETE THIS LINE -- make depend depends on it.
